
export type CertData<T> = {
    matpel: T,
    /**
     * Full name in format: "FIRST_NAMES LAST_NAME_1 LAST_NAME_2"
     */
    personFullName: string,
    /**
     * DNI as a string.
     *
     * E.g.: "04123523"
     */
    personDni: string,
    /**
     * Cert code as a string. Must have length = 4.
     *
     * E.g.: "0322"
     */
    certCode: string,
    /**
     * Year of emission as a string.
     *
     * E.g.: "2023"
     */
    certYear: string,
    /**
     * Month of emission.
     *
     * E.g.: "05"
     */
    certMonth: string,
    /**
     * Day of emission.
     *
     * E.g.: "23"
     */
    certDay: string,
    /**
     * Id of the certificate
     */
    certIId: number,
}
